import { Record } from "immutable";
export interface TypeOptions {
    renderer?: (...args: any[]) => any;
    name: string;
    type: string;
    marks: {
        [type: string]: string;
    };
    alpha?: number;
    data: string;
    styles: string[];
    defaultColor: string;
    label: string;
}
declare const Options_base: Record.Class;
declare class Options extends Options_base {
    name: string;
    marks: {
        [type: string]: string;
    };
    type: string;
    styles: string[];
    data: string;
    alpha: number;
    defaultColor: string;
    renderer: (...args: any[]) => any;
    label: string;
    static create(attrs?: any): any;
    static fromJSON(object: any): any;
    static isOptions(args: any): boolean;
}
export default Options;
//# sourceMappingURL=index.d.ts.map