"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
function createUtils(opts) {
    var _a;
    var defaultColor = opts.defaultColor, data = opts.data, type = opts.type, name = opts.name;
    return _a = {},
        _a["current" + name + "Color"] = function (editor) {
            var value = editor.value;
            if (value.selection && value.selection.isFocused && value.activeMarks) {
                var activeColorMarks = value.activeMarks
                    .filter(function (mark) { return !!(mark && mark.type === type); })
                    .reduce(function (colors, mark) {
                    if (mark && mark.data.get(data)) {
                        return tslib_1.__spread(colors, [mark.data.get(data)]);
                    }
                    return colors;
                }, []);
                var uniqueColorMarks = tslib_1.__spread(Array.from(new Set(activeColorMarks)));
                if (uniqueColorMarks.length !== 0) {
                    return uniqueColorMarks[0];
                }
            }
            return defaultColor;
        },
        _a;
}
exports.default = createUtils;
//# sourceMappingURL=index.js.map